Skip to main content
`Ctrl`+`K`

# PCGAMGType

type of generalized algebraic multigrid `PCGAMG` method

## Synopsis

    typedef const char *PCGAMGType;
    #define PCGAMGAGG       "agg"
    #define PCGAMGGEO       "geo"
    #define PCGAMGCLASSICAL "classical"

## Values

- `PCGAMGAGG` - (the default) smoothed aggregation algorithm, robust, very well tested

- `PCGAMGGEO` - geometric coarsening, uses mesh generator to produce coarser meshes, limited to triangles, not supported, reference implementation (2D)

- `PCGAMGCLASSICAL` - classical algebraic multigrid preconditioner, incomplete, not supported, reference implementation

## See Also

Preconditioners, `PCGAMG`, `PCMG`, `PC`, `PCSetType()`, `PCGAMGSetThreshold()`, `PCGAMGSetThreshold()`, `PCGAMGSetReuseInterpolation()`

## Level

intermediate

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages